export default {
	// 数据处理
	action(data){ // 使用递归函数
	    // if(!(data?.length <= 0)){ 
	    // 等价于
		if(!data || data.length <= 0){ // 递归的出口
			return null;
		}
		return data.map(x => { // 循环数据
		    const model = { // 把后端返回过来的数据里面的键给替换成我想要的键
			    source: x,
				text: x.provinceName ? x.provinceName : x.cityName,
				value: x.provinceId ? x.provinceId : x.cityId,
			};
		    const children = this.action(x.citys); // 子级数据
		    if(children){ // 一直往下循环查找有没有children这个键，如果有就直接添加一个子级字段名，这个字段名就是存子级数据
			    model.children = children;
		    }		
		return model; // 返回这个数据
		});
	}
}